<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Password Reset</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 600px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #007BFF;
        }

        p {
            margin-bottom: 20px;
        }

        .reset-link {
            display: inline-block;
            padding: 10px 20px;
            background-color: #007BFF;
            color: #fff;
            text-decoration: none;
            border-radius: 3px;
        }

        .reset-link a {
            color: white;
            text-decoration: none;
        }

        .footer {
            margin-top: 20px;
            font-size: 12px;
            color: #777;
        }
    </style>
</head>
<body>

<div class="container">
    <h1>Dear {{ user.username }},</h1>

    <p>You have requested a password reset for your APP account. Please click on the link below to reset your password:</p>

    <p class="reset-link">
        <a href="http://{{ server_url }}{% url 'password_reset_confirm' key=user.reset_key%}">Click here to reset password</a>
    </p>

    <p>Regards,<br>
        <strong>APP Team</strong>
    </p>
</div>

<div class="footer">
    This is an automated message. Please do not reply.
</div>

</body>
</html>